Package org.zkoss.stateless.sul

## Enum IHlayout.VerticalAlign

- java.lang.Object
- - java.lang.Enum<IHlayout.VerticalAlign>
  - - org.zkoss.stateless.sul.IHlayout.VerticalAlign

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IHlayout.VerticalAlign>`
  Enclosing interface:
    IHlayout<I extends IAnyGroup>

      public static enum IHlayout.VerticalAlign
      extends java.lang.Enum<IHlayout.VerticalAlign>

  Specifies the vertical-align to `IHlayout`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOTTOM` | The bottom valign.
    `MIDDLE` | The middle valign.
    `TOP` | The top valign.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IHlayout.VerticalAlign` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IHlayout.VerticalAlign[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP

          public static final IHlayout.VerticalAlign TOP

      The top valign.

    - #### MIDDLE

          public static final IHlayout.VerticalAlign MIDDLE

      The middle valign.

    - #### BOTTOM

          public static final IHlayout.VerticalAlign BOTTOM

      The bottom valign.

  - ### Method Detail

    - #### values

          public static IHlayout.VerticalAlign[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IHlayout.VerticalAlign c : IHlayout.VerticalAlign.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IHlayout.VerticalAlign valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null